/* 
 * Browshot API
 *
 * Take screenshots of any website in real time
 *
 * OpenAPI spec version: 1.16.0
 * Contact: support@browshot.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */

package swagger

type Account struct {

	// number of credits left on your account
	Balance int32 `json:"balance,omitempty"`

	// number of free screenshots available for the current month
	FreeScreenshotsLeft int32 `json:"free_screenshots_left,omitempty"`

	// 1 is your account is authorized to create and use private instances, 0 otherwise (default)
	PrivateInstances int32 `json:"private_instances,omitempty"`

	// 1 is your account is authorized to request hosting on Browshot, 0 otherwise (default)
	HostingBrowshot int32 `json:"hosting_browshot,omitempty"`

	// list of private instances as returned by /api/v1/instance/list
	Instances []Instance `json:"instances,omitempty"`

	// list of custom browsers as returned by /api/v1/browser/list
	Browsers []Browser `json:"browsers,omitempty"`

	// list of 10 latest screenshots requests as returned by /api/v1/screenshot/list
	Screenshots []Screenshot `json:"screenshots,omitempty"`
}
