/* 
 * Browshot API
 *
 * Take screenshots of any website in real time
 *
 * OpenAPI spec version: 1.16.0
 * Contact: support@browshot.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */

package swagger

type Screenshot struct {

	// screenshot ID
	Id int32 `json:"id,omitempty"`

	// status of the request: \"in_queue\", \"processing\", \"finished\", \"error\" 
	Status string `json:"status,omitempty"`

	// description of the problem that occurred
	Error_ string `json:"error,omitempty"`

	// priority given to the screenshot: high (1) to low (3)
	Priority int32 `json:"priority,omitempty"`

	// original URL requested
	Url string `json:"url,omitempty"`

	// screenshot size requested
	Size string `json:"size,omitempty"`

	// screenshot width
	Width int32 `json:"width,omitempty"`

	// screenshot height
	Height int32 `json:"height,omitempty"`

	// URL of the screenshot (redirections can occur)
	FinalUrl string `json:"final_url,omitempty"`

	// image scale. Always 1 for desktop browsers; mobiles may change the scale (zoom in or zoom out) to fit the page on the screen
	Scale float64 `json:"scale,omitempty"`

	// instance ID used for the screenshot
	InstanceId int32 `json:"instance_id,omitempty"`

	// number of credits spent for the screenshot
	Cost int32 `json:"cost,omitempty"`

	// custom referrer used (see Custom POST Data, Referer and Cookie)
	Referer string `json:"referer,omitempty"`

	// POST data sent (see Custom POST Data, Referer and Cookie)
	PostData string `json:"post_data,omitempty"`

	// custom cookie used (see Custom POST Data, Referer and Cookie)
	Cookie string `json:"cookie,omitempty"`

	// number of seconds to wait after page load
	Delay int32 `json:"delay,omitempty"`

	// number of seconds to wait after page load if Flash elements are present
	FlashDelay int32 `json:"flash_delay,omitempty"`

	// level of details about the screenshot and the page
	Details int32 `json:"details,omitempty"`

	// URL of optional javascript file executed after the page load event
	Script string `json:"script,omitempty"`

	// if the screenshot was shared, show the public URL
	SharedUrl string `json:"shared_url,omitempty"`
}
